Package com.sun.jna.platform.win32

## Class Winspool.LPPRINTER_DEFAULTS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winspool.LPPRINTER_DEFAULTS

- Enclosing interface:
    Winspool

      @FieldOrder({"pDatatype","pDevMode","DesiredAccess"})
      public static class Winspool.LPPRINTER_DEFAULTS
      extends Structure

  The PRINTER_DEFAULTS structure specifies the default data type, environment, initialization data, and access rights for a printer.
  See Also:
    PRINTER_DEFAULTS structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `DesiredAccess` | Specifies desired access rights for a printer.
    `java.lang.String` | `pDatatype` | Pointer to a null-terminated string that specifies the default data type for a printer.
    `Pointer` | `pDevMode` | Pointer to a DEVMODE structure that identifies the default environment and initialization data for a printer.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LPPRINTER_DEFAULTS()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pDatatype

          public java.lang.String pDatatype

      Pointer to a null-terminated string that specifies the default data type for a printer.

    - #### pDevMode

          public Pointer pDevMode

      Pointer to a DEVMODE structure that identifies the default environment and initialization data for a printer.

    - #### DesiredAccess

          public int DesiredAccess

      Specifies desired access rights for a printer. The OpenPrinter function uses this member to set access rights to the printer. These rights can affect the operation of the SetPrinter and DeletePrinter functions.

  - ### Constructor Detail

    - #### LPPRINTER_DEFAULTS

          public LPPRINTER_DEFAULTS()